Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:55 2009

## Asterisk developer's documentation

# yy_buffer_state Struct Reference

## Data Fields

int | yy_at_bol
int | yy_bs_column
int | yy_bs_lineno
char * | yy_buf_pos
yy_size_t | yy_buf_size
int | yy_buffer_status
char * | yy_ch_buf
int | yy_fill_buffer
FILE * | yy_input_file
int | yy_is_interactive
int | yy_is_our_buffer
int | yy_n_chars

## Detailed Description

Definition at line 196 of file ast_expr2f.c.

## Field Documentation

int yy_at_bol

Definition at line 230 of file ast_expr2f.c.

Referenced by ast_yy_flush_buffer(), and ast_yy_scan_buffer().

int yy_bs_column

The column count.

Definition at line 233 of file ast_expr2f.c.

Referenced by ast_yy_init_buffer().

int yy_bs_lineno

The line count.

Definition at line 232 of file ast_expr2f.c.

Referenced by ast_yy_init_buffer().

char* yy_buf_pos

Definition at line 201 of file ast_expr2f.c.

Referenced by ast_yy_flush_buffer(), and ast_yy_scan_buffer().

yy_size_t yy_buf_size

Definition at line 206 of file ast_expr2f.c.

Referenced by ast_yy_scan_buffer().

int yy_buffer_status

Definition at line 240 of file ast_expr2f.c.

Referenced by ast_yy_flush_buffer(), and ast_yy_scan_buffer().

char* yy_ch_buf

Definition at line 200 of file ast_expr2f.c.

Referenced by ast_yy_flush_buffer(), and ast_yy_scan_buffer().

int yy_fill_buffer

Definition at line 238 of file ast_expr2f.c.

Referenced by ast_yy_init_buffer(), and ast_yy_scan_buffer().

FILE* yy_input_file

Definition at line 198 of file ast_expr2f.c.

Referenced by ast_yy_init_buffer(), and ast_yy_scan_buffer().

int yy_is_interactive

Definition at line 224 of file ast_expr2f.c.

Referenced by ast_yy_init_buffer(), and ast_yy_scan_buffer().

int yy_is_our_buffer

Definition at line 217 of file ast_expr2f.c.

Referenced by ast_yy_scan_buffer(), and ast_yy_scan_bytes().

int yy_n_chars

Definition at line 211 of file ast_expr2f.c.

Referenced by ast_yy_flush_buffer(), and ast_yy_scan_buffer().

The documentation for this struct was generated from the following file:

- ast_expr2f.c